/**
* 文件：MateriaSupplierEntity.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.materia.model;

import com.mortals.framework.model.BaseEntityLong;

import java.util.Date;

/**
 * <p>Title: 物料供应商表</p>
 * <p>Description: MateriaSupplierEntity  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class MateriaSupplierEntity extends BaseEntityLong{
	private static final long serialVersionUID = 1614063230598L;
	
	/** 物料ID */
	private Long materiaId;

	/** 供应商ID，partner表ID */
	private Long supplierId;

	/** 交货期 */
	private Long deliveryPeriod;

	/** 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月 */
	private Integer deliveryPeriodUnit;

	/** 供应商物料代码 */
	private String supplierMateriaCode;

	/** 计量单位，参数配置-UnitOfMeasure */
	private Long unitOfMeasure;

	/** 供货成本，单位：厘/计量单位 */
	private Long costPlan;

	/** 变更时间 */
	private Date updateTime;

	/** 变更用户loginName */
	private String updateUser;

	/** 创建时间 */
	private Date createTime;

	/** 创建用户loginName */
	private String createUser;


	public MateriaSupplierEntity(){
		
	}
	/**
	 * 获取 物料ID
	 * @return materiaId
	 */
	public Long getMateriaId(){
		return this.materiaId;
	}

	/**
	 * 设置 物料ID
	 * @param materiaId
	 */
	public void setMateriaId(Long materiaId){
		this.materiaId = materiaId;
	}

	/**
	 * 获取 供应商ID，partner表ID
	 * @return supplierId
	 */
	public Long getSupplierId(){
		return this.supplierId;
	}

	/**
	 * 设置 供应商ID，partner表ID
	 * @param supplierId
	 */
	public void setSupplierId(Long supplierId){
		this.supplierId = supplierId;
	}

	/**
	 * 获取 交货期
	 * @return deliveryPeriod
	 */
	public Long getDeliveryPeriod(){
		return this.deliveryPeriod;
	}

	/**
	 * 设置 交货期
	 * @param deliveryPeriod
	 */
	public void setDeliveryPeriod(Long deliveryPeriod){
		this.deliveryPeriod = deliveryPeriod;
	}

	/**
	 * 获取 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月
	 * @return deliveryPeriodUnit
	 */
	public Integer getDeliveryPeriodUnit(){
		return this.deliveryPeriodUnit;
	}

	/**
	 * 设置 交货期单位，参数配置-DeliveryPeriodUnit小时，工作日，自然日，周，月
	 * @param deliveryPeriodUnit
	 */
	public void setDeliveryPeriodUnit(Integer deliveryPeriodUnit){
		this.deliveryPeriodUnit = deliveryPeriodUnit;
	}

	/**
	 * 获取 供应商物料代码
	 * @return supplierMateriaCode
	 */
	public String getSupplierMateriaCode(){
		return this.supplierMateriaCode;
	}

	/**
	 * 设置 供应商物料代码
	 * @param supplierMateriaCode
	 */
	public void setSupplierMateriaCode(String supplierMateriaCode){
		this.supplierMateriaCode = supplierMateriaCode;
	}

	/**
	 * 获取 计量单位，参数配置-UnitOfMeasure
	 * @return unitOfMeasure
	 */
	public Long getUnitOfMeasure(){
		return this.unitOfMeasure;
	}

	/**
	 * 设置 计量单位，参数配置-UnitOfMeasure
	 * @param unitOfMeasure
	 */
	public void setUnitOfMeasure(Long unitOfMeasure){
		this.unitOfMeasure = unitOfMeasure;
	}

	/**
	 * 获取 供货成本，单位：厘/计量单位
	 * @return costPlan
	 */
	public Long getCostPlan(){
		return this.costPlan;
	}

	/**
	 * 设置 供货成本，单位：厘/计量单位
	 * @param costPlan
	 */
	public void setCostPlan(Long costPlan){
		this.costPlan = costPlan;
	}

	/**
	 * 获取 变更时间
	 * @return updateTime
	 */
	public Date getUpdateTime(){
		return this.updateTime;
	}

	/**
	 * 设置 变更时间
	 * @param updateTime
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUser
	 */
	public String getUpdateUser(){
		return this.updateUser;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUser
	 */
	public void setUpdateUser(String updateUser){
		this.updateUser = updateUser;
	}

	/**
	 * 获取 创建时间
	 * @return createTime
	 */
	public Date getCreateTime(){
		return this.createTime;
	}

	/**
	 * 设置 创建时间
	 * @param createTime
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUser
	 */
	public String getCreateUser(){
		return this.createUser;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUser
	 */
	public void setCreateUser(String createUser){
		this.createUser = createUser;
	}


	@Override
	public int hashCode() {
		return this.getId().hashCode();
	}
	@Override
	public boolean equals(Object obj) {
		if (obj == null)
			return false;
		if (obj instanceof MateriaSupplierEntity) {
			MateriaSupplierEntity tmp = (MateriaSupplierEntity) obj;
			if (this.getId().longValue() == tmp.getId().longValue()) {
				return true;
			}
		}
		return false;
	}
	public String toString(){
		StringBuilder sb = new StringBuilder("");
		sb.append("id:").append(getId())
		  .append(",materiaId:").append(getMateriaId())
		  .append(",supplierId:").append(getSupplierId())
		  .append(",deliveryPeriod:").append(getDeliveryPeriod())
		  .append(",deliveryPeriodUnit:").append(getDeliveryPeriodUnit())
		  .append(",supplierMateriaCode:").append(getSupplierMateriaCode())
		  .append(",unitOfMeasure:").append(getUnitOfMeasure())
		  .append(",costPlan:").append(getCostPlan())
		  .append(",updateTime:").append(getUpdateTime())
		  .append(",updateUser:").append(getUpdateUser())
		  .append(",createTime:").append(getCreateTime())
		  .append(",createUser:").append(getCreateUser());
		return sb.toString();
	}
	public void initAttrValue(){
		this.materiaId = null;
		this.supplierId = null;
		this.deliveryPeriod = null;
		this.deliveryPeriodUnit = null;
		this.supplierMateriaCode = null;
		this.unitOfMeasure = null;
		this.costPlan = null;
		this.updateTime = null;
		this.updateUser = null;
		this.createTime = null;
		this.createUser = null;
	}
}